This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 500905 - Installing F11 from F11 generated anaconda-ks.cfg fails
Installing F11 from F11 generated anaconda-ks.cfg fails
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-14 15:54 EDT by James Laska
Modified: 2013-09-02 02:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-15 16:43:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ks.cfg (3.67 KB, text/plain)
2009-05-14 15:56 EDT, James Laska
no flags Details
storage.log (17.25 KB, text/plain)
2009-05-14 15:56 EDT, James Laska
no flags Details
program.log (389 bytes, text/plain)
2009-05-14 15:56 EDT, James Laska
no flags Details
anaconda.log (6.79 KB, text/plain)
2009-05-14 15:57 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2009-05-14 15:54:11 EDT
Description of problem:

Install Fedora

Version-Release number of selected component (if applicable):

anaconda-11.5.0.52

How reproducible:
100%

Steps to Reproduce:
1. Install F11 using autopart defaults
2. Uncomment the partition lines from /root/anaconda-ks.cfg
3. Reinstall F11 using the generated kickstart file
  
Actual results:

Dialog stating:

================================
 Error Parsing Kickstart Config
================================
The following error was found while parsing your kickstart configuration:

The following problem occured on line 25 of the kickstart file:

Partition requires a size specification
======================

--size=0 *AND* --grow don't seem to make anaconda/kickstart processing happy

part pv.3 --size=0 --grow --ondisk=sda         

Expected results:

Completed install

Additional info:

 * See attached kickstart file
Comment 1 James Laska 2009-05-14 15:56:10 EDT
Created attachment 344039 [details]
ks.cfg
Comment 2 James Laska 2009-05-14 15:56:36 EDT
Created attachment 344041 [details]
storage.log
Comment 3 James Laska 2009-05-14 15:56:57 EDT
Created attachment 344042 [details]
program.log
Comment 4 James Laska 2009-05-14 15:57:15 EDT
Created attachment 344043 [details]
anaconda.log
Comment 5 Chris Lumens 2009-05-14 17:14:43 EDT
We probably need to be writing out --size=1 --grow.
Comment 6 Chris Lumens 2009-05-15 16:43:09 EDT
This should be fixed in the next build of anaconda.

Note You need to log in before you can comment on or make changes to this bug.